package com.xjrsoft.module.banding.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.banding.dto.BandingTaskMajorConditionListDto;
import com.xjrsoft.module.banding.dto.SaveMajorConditionDto;
import com.xjrsoft.module.banding.entity.BandingTaskMajorCondition;
import com.xjrsoft.module.banding.vo.BandingTaskMajorConditionListVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 新生分班规则
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/

public interface IBandingTaskMajorConditionService extends MPJBaseService<BandingTaskMajorCondition> {
    Boolean add(BandingTaskMajorCondition majorCondition);

    Boolean update(BandingTaskMajorCondition majorCondition);

    Boolean delete(List<Long> ids);

    Boolean save(SaveMajorConditionDto dto);


    List<BandingTaskMajorConditionListVo> getList(BandingTaskMajorConditionListDto dto);
}
